Bug 120411 - x86_64 arch not correctly appending to ld.so.conf breaking ldconfig
x86_64 arch not correctly appending to ld.so.conf breaking ldconfig
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: sane-backends (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
Depends On:
  Show dependency treegraph
Reported: 2004-04-08 11:07 EDT by Joshua Jensen
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-10-15 16:30:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Joshua Jensen 2004-04-08 11:07:53 EDT
Description of problem:

Both postuninstall and postuninstall script of the x86_64 arch of this
package still use "/usr/lib/sane" when appending to or removing from

This causes ldconfig to never look at /usr/lib64/sane, and to error
out when looking for /usr/lib/sane:

ldconfig: Can't stat /usr/lib/sane: No such file or directory

Version-Release number of selected component (if applicable):

RHEL3 for AMD64 arch

Solution:  Please don't fork the code to handle this... have the rpm's
scripts intelegently look for /usr/lib*/sane and go from there
Comment 1 Joshua Jensen 2004-06-11 17:12:10 EDT

Comment 2 Tim Waugh 2004-06-25 04:13:35 EDT
(Not sure why this got missed.)

The current sane-backends branch for RHEL3 has these changes from the
latest available code:

* Fri Jan  2 2004 Tim Waugh <twaugh@redhat.com> 1.0.9-5.5
- Remove %%{_libdir}/sane from ld.so.conf on upgrade.
* Wed Dec 24 2003 Tim Waugh <twaugh@redhat.com> 1.0.9-5.4
- Don't run ldconfig in %%{_libdir}/sane even in %%install.
* Tue Dec 16 2003 Tim Waugh <twaugh@redhat.com> 1.0.9-5.3
- Put rpath tricks back in but take out ld.so.conf tampering (better fix
  for bug #110174).
* Thu Dec  4 2003 Tim Waugh <twaugh@redhat.com> 1.0.9-5.2.1
- Rebuilt.
* Thu Dec  4 2003 Tim Waugh <twaugh@redhat.com> 1.0.9-5.2
- Fix rpath in backends (bug #110174).

and so I believe the problem is already fixed, albeit in a different way.

Can I get you to try out the 1.0.9-5.5 packages, if I put them
somewhere you can get at them, to see if they fix the problem you see?
 Then we can try to get them into a future quarterly update.
Comment 3 Joshua Jensen 2004-06-25 11:13:15 EDT
Sure... email me the location
Comment 4 Tim Waugh 2004-06-28 07:12:29 EDT
Here it is:


Let me know if these packages look okay.  Thanks.
Comment 5 Joshua Jensen 2004-07-01 15:29:53 EDT
I must be missing something... now there is no mention of sane
anything in ld.so.conf.  Is this what you indended?

Actually, I do see this from ldconfig -v:

        libsane.so.1 -> libsane.so.1.0.9

So it appears that the .so files are simply being included in a better
place, and ldconfig isn't complaining anymore as a result.
Comment 6 Tim Waugh 2004-07-02 04:54:32 EDT
It is intentional, yes.  Does sane work for you properly with these
Comment 7 Joshua Jensen 2004-07-02 13:52:10 EDT
Truth be told I don't have a scanner attached to my remotely managed
Opteron server :-)  However, I can run saned and it is able to open
libsane in its startup process:

open("/usr/lib64/libsane.so.1", O_RDONLY) = 3

Don't know if that is enough of a test... but really I opened the case
for the ldconfig error messages that were produced.  That case at
least can be closed... do you have a scanner and an Opteron box to
test further?
Comment 8 Joshua Jensen 2004-10-06 11:33:10 EDT
I'm satisfied that this is fixed.  Tim, are these changed commit for
future versions of Fedora and RHEL3/4 ??
Comment 9 Tim Waugh 2004-10-06 12:29:27 EDT
Yes.  If Fedora Core development isn't doing the right thing I don't
know about it.
Comment 10 Joshua Jensen 2004-10-15 16:30:59 EDT
Excellent.  Thanks Tim!

Note You need to log in before you can comment on or make changes to this bug.